package com.cab.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cab.model.PointsType;

public interface PointsTypeMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(PointsType record);

    int insertSelective(PointsType record);

    PointsType selectByPrimaryKey(Integer id);
    
    /**
     * 
     * @Description：根据积分类型查询积分信息
     * @author: zhuoHeng
     * @version: 2016年6月20日 上午11:12:32
     */
    PointsType selectByType(@Param("type") Integer type);
    
    /**
     * 
     * @Description：查询所有积分类型信息
     * @author: zhuoHeng
     * @version: 2016年6月21日 下午5:56:19
     */
    List<PointsType> selectAllPointsType();

    int updateByPrimaryKeySelective(PointsType record);

    int updateByPrimaryKey(PointsType record);
}